Bug 117416 - redhat-config-network-gui crashes everytime
redhat-config-network-gui crashes everytime
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgnomeui (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
: 117542 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-03 14:44 EST by Jarmo Seuranen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 18:13:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarmo Seuranen 2004-03-03 14:44:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
The gui version crashes, the -tui versios works correctly

Backtrace was generated from '/usr/sbin/redhat-config-network'
                                                                     
          
(no debugging symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".
(no debugging symbols found)...
(no debugging symbols found)...[Thread debugging using libthread_db
enabled]
[New Thread -1084820160 (LWP 17364)]
(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...0x00bb8c32 in _dl_sysinfo_int80 ()
   from /lib/ld-linux.so.2
#0  0x00bb8c32 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00a30b03 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#2  0x00d2c7f4 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x0809d579 in Py_GetProgramFullPath ()
#5  0x0809db2b in Py_GetProgramFullPath ()
#6  0x0809ddb7 in Py_GetProgramFullPath ()
#7  0x0809e736 in _PyObject_GC_Malloc ()
#8  0x0809e778 in _PyObject_GC_New ()


Version-Release number of selected component (if applicable):
redhat-config-network 1.3.10 

How reproducible:
Always

Steps to Reproduce:
1.run from shell redhat-config-network-gui when running X
2.
3.
    

Actual Results:  Report bug dialog is shown. Application crashes.

Expected Results:  Configuration dialog

Additional info:

System updated from Redhat 6 to Redhat 7 and then Rh9, now Fedora Core 1
Comment 1 Harald Hoyer 2004-03-04 03:23:42 EST
this is /usr/lib/libgnomeui-2.so.0

reassigning
Comment 2 Bill Nottingham 2004-03-04 21:51:36 EST
*** Bug 117542 has been marked as a duplicate of this bug. ***
Comment 3 Kjartan Maraas 2004-03-29 14:50:55 EST
I don't think this is a bug in libgnomeui, it's just where the signal
handler is called from. I also think this has been fixed in a later
release of system-config-network, or am I wrong?
Comment 4 Ray Strode [halfline] 2005-05-11 18:13:34 EDT
Fedora Core 1 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.